# -*- coding: Latin-1 -*-
"""
devs_exceptions

Author: Ernesto Posse
Created on: November 18, 2005

Description:

  This module provides elementary support for exception handling to the
  Python DEVS framework

Classes:

  DEVSException
"""

class DEVSException:
  
  def __init__(self, message="not specified in source", extra_args=None):
    self.message = message
    self.args = extra_args
    
  def __str__(self):
    return "DEVS Exception: " + str(self.message)



